org.w3c.dom.css

## Interface CSSValueList

All Superinterfaces:
  CSSValue

    public interface CSSValueList
    extends CSSValue

The `CSSValueList` interface provides the abstraction of an ordered collection of CSS values.

Some properties allow an empty list into their syntax. In that case, these properties take the `none` identifier. So, an empty list means that the property has the value `none`.

The items in the `CSSValueList` are accessible via an integral index, starting from 0.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  DOM Level 2

### Field Summary

### Fields inherited from interface org.w3c.dom.css.CSSValue

`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

### Method Summary

Methods
`int` `getLength()` The number of `CSSValues` in the list.
`CSSValue` `item(int index)` Used to retrieve a `CSSValue` by ordinal index.

### Methods inherited from interface org.w3c.dom.css.CSSValue

`getCssText, getCssValueType, setCssText`

### Method Detail

#### getLength

    int getLength()

The number of `CSSValues` in the list. The range of valid values of the indices is `0` to `length-1` inclusive.

#### item

    CSSValue item(int index)

Used to retrieve a `CSSValue` by ordinal index. The order in this collection represents the order of the values in the CSS style property. If index is greater than or equal to the number of values in the list, this returns `null`.

Parameters:
  `index` - Index into the collection.
Returns:
  The `CSSValue` at the `index` position in the `CSSValueList`, or `null` if that is not a valid index.